###############################################################################
#                                                                             #
# .CarMaker.tcl -- Start external programm                                    #
#                                                                             #
# Adds button to CM GUI on start to run an external .exe                      #
#                                                                             #
# Copyright (c) 2022, IPG Automotive GmbH, Karlsruhe, Germany                 #
#                                                                             #
###############################################################################


proc StartMyProgram args {
#Start external GUI, "pipe" symbol is required!
	open |C:/WINDOWS/system32/notepad.exe
}

# Add temp button in CM GUI for easy start
proc AddOns args {
	
    #trace remove execution LoadTestRun leave "AddOns "
    update idletasks
    
    set addon_m [info exists .mbar.addon]
    set addon_m_m [info exists .mbar.addon.m]
    if {$addon_m_m == 0} {
        if {$addon_m == 0} {
            menubutton .mbar.addon -text "Add-ons" -menu .mbar.addon.m
        }
        set fM [menu .mbar.addon.m]
        $fM add com -label "ExternalGUI" -command {StartMyProgram}
        pack .mbar.addon -side right
    } else {
        .mbar.addon.m add com -label "ExternalGUI" -command {StartMyProgram}
    }
}

AddOns